Documentation · API reference
GET/api/v1/sites/{site}/snapshots

The stored copies of a site's pages

The stored copies of a site's pages, and whether this tidekeeper can show them.

Parameters

sitein the address
neededA site's id or name

The answer

Status 200

SnapshotsView The stored copies of a site's pages (the page overlay and the picker are drawn on them).

available
booleanneededThis tidekeeper has somewhere to show a copy.
copies
list of SnapshotViewneeded
most
integerneededHow many pages of a site are kept.
reason
stringneededWhy not, when not.

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/snapshots \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/snapshots", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());